## 7 Displays

Display Annotations have been removed. GDB/MI instead provides Variable Objects.

When GDB is told to display something using the `display` command, the results of the display are annotated:

    ^Z^Zdisplay-begin
    number
    ^Z^Zdisplay-number-end
    number-separator
    ^Z^Zdisplay-format
    format
    ^Z^Zdisplay-expression
    expression
    ^Z^Zdisplay-expression-end
    expression-separator
    ^Z^Zdisplay-value
    value
    ^Z^Zdisplay-end

where number is the number of the display, number-separator is intended to separate the number from what follows for the user, format includes information such as the size, format, or other information about how the value is being displayed, expression is the expression being displayed, expression-separator is intended to separate the expression from the text that follows for the user, and value is the actual value being displayed.